/
Create a verification req...
Create a new driver verification request. The driver will receive a notification to submit the requested document.
Security
OAuth2
The load number associated with this verification request
Example:"LOAD-12345"
The type of document being requested from the driver
Enum:"side_of_truck""photograph""empty_trailer""team_drivers"
Example:"photograph"
Email address of the dispatcher to notify
Example:"dispatcher@example.com"
- Mock serverhttps://developer.truckertools.com/_mock/apis/proactivedriververification/proactive-driver-verification/v1/requests
- Production Serverhttps://loadtracking.truckertools.com/proactive-driver-verification/v1/requests
curl -i -X POST \
https://developer.truckertools.com/_mock/apis/proactivedriververification/proactive-driver-verification/v1/requests \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"loadNumber": "LOAD-12345",
"driverPhoneNumber": "+15551234567",
"documentRequested": "photograph",
"dispatcherEmail": "dispatcher@example.com",
"address": {
"address": "123 Main St",
"city": "Chicago",
"state": "IL",
"country": "US",
"postalCode": "60601"
}
}'Response
{ "data": { "uuid": "550e8400-e29b-41d4-a716-446655440000", "loadNumber": "LOAD-12345", "driverPhoneNumber": "+15551234567", "address": { … }, "lat": 41.8781, "lon": -87.6298, "dispatcherEmail": "dispatcher@example.com", "alerts": { … }, "createdAt": "2026-06-01T14:30:00Z", "updatedAt": "2026-06-01T15:45:00Z", "response": { … }, "documents": [ … ] } }